VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Functions
Version 4.12.1
New classes

## Functions
virtual uint16_t | normalizedValueToFrameIndex (float value) const
| return the frame to display for a normalized value
virtual float | frameIndexToNormalizedValue (uint16_t frameIndex) const
| return the normalized value from the frame index

## Detailed Description

## Function Documentation

float frameIndexToNormalizedValue | ( | uint16_t | frameIndex | ) | const
| virtual

return the normalized value from the frame index

defaults to: stepsToNormalized<float, uint16_t> (frameIndex, getNumFrames () - 1);

subclasses can adopt this to other value mappings

uint16_t normalizedValueToFrameIndex | ( | float | value | ) | const
| virtual

return the frame to display for a normalized value

defaults to: normalizedToSteps<float, uint16_t> (value, getNumFrames () - 1);

subclasses can adopt this to other value mappings